GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
alarm.c File Reference
`#include "src/core/iomgr/alarm.h"`
`#include "src/core/iomgr/alarm_heap.h"`
`#include "src/core/iomgr/alarm_internal.h"`
`#include "src/core/iomgr/time_averaged_stats.h"`
`#include <grpc/support/log.h>`
`#include <grpc/support/sync.h>`
`#include <grpc/support/useful.h>`

## Data Structures
struct | shard_type

## Macros
#define | INVALID_HEAP_INDEX 0xffffffffu
#define | LOG2_NUM_SHARDS 5
#define | NUM_SHARDS (1 << LOG2_NUM_SHARDS)
#define | MAX_ALARMS_PER_CHECK 128
#define | ADD_DEADLINE_SCALE 0.33
#define | MIN_QUEUE_WINDOW_DURATION 0.01
#define | MAX_QUEUE_WINDOW_DURATION 1

## Functions
void | grpc_alarm_list_init (gpr_timespec now)
void | grpc_alarm_list_shutdown (void)
void | grpc_alarm_init (grpc_alarm *alarm, gpr_timespec deadline, grpc_iomgr_cb_func alarm_cb, void *alarm_cb_arg, gpr_timespec now)
void | grpc_alarm_cancel (grpc_alarm *alarm)
int | grpc_alarm_check (gpr_mu *drop_mu, gpr_timespec now, gpr_timespec *next)
gpr_timespec | grpc_alarm_list_next_timeout (void)

## Macro Definition Documentation

#define ADD_DEADLINE_SCALE 0.33

#define INVALID_HEAP_INDEX 0xffffffffu

#define LOG2_NUM_SHARDS 5

#define MAX_ALARMS_PER_CHECK 128

#define MAX_QUEUE_WINDOW_DURATION 1

#define MIN_QUEUE_WINDOW_DURATION 0.01

#define NUM_SHARDS (1 << LOG2_NUM_SHARDS)

## Function Documentation

void grpc_alarm_cancel | ( | grpc_alarm * | alarm | ) |

int grpc_alarm_check | ( | gpr_mu * | drop_mu,
|  | gpr_timespec | now,
|  | gpr_timespec * | next
| ) |  |

void grpc_alarm_init | ( | grpc_alarm * | alarm,
|  | gpr_timespec | deadline,
|  | grpc_iomgr_cb_func | alarm_cb,
|  | void * | alarm_cb_arg,
|  | gpr_timespec | now
| ) |  |

void grpc_alarm_list_init | ( | gpr_timespec | now | ) |

gpr_timespec grpc_alarm_list_next_timeout | ( | void |  | ) |

void grpc_alarm_list_shutdown | ( | void |  | ) |